/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.media.engine;

/**
 * MBean interface.
 */
public interface MediaRegistryMBean extends org.jboss.system.ServiceMBean
{

   void addMedia(java.lang.String name, org.jboss.media.engine.Media object);

   void removeMedia(java.lang.String name);

   java.util.Iterator getMediaNames();

   org.jboss.media.engine.Media getMedia(java.lang.String name);

}
